import type { JsonSchema } from "@jsonforms/core";
import type { JsonFormsInterface, JsonFormsUISchema, ToolInterface } from "./tools";
export declare const generateSchemaByTool: (tool: ToolInterface) => JsonSchema;
export declare const generateSchemaForUiSchema: (tool: ToolInterface, rootSchema: JsonSchema) => void;
export declare const createJsonForms: (tool: ToolInterface, rootSchema?: JsonSchema | undefined, schemaReadOnly?: boolean) => JsonFormsInterface;
export declare const cleanSchema: (tool: ToolInterface) => void;
export declare const createTypeArraySchemaOnly: (tool: ToolInterface) => JsonSchema;
export declare const createTypeArraySchema: (tool: ToolInterface) => Record<string, JsonSchema>;
export declare const createTypeObjectSchemaOnly: (tool: ToolInterface) => JsonSchema;
export declare const createTypeObjectSchema: (tool: ToolInterface) => Record<string, JsonSchema>;
export declare const createCombinatorSchema: (tool: ToolInterface, keyword: string) => JsonSchema;
export declare const setRequiredToSchema: (propertyName: string, schema: JsonSchema, isRequired?: boolean) => void;
export declare const setItemSchemaToSchema: (tool: ToolInterface, rootSchema: JsonSchema) => void;
export declare const createJsonUiSchema: (tool: ToolInterface, rootSchema: JsonSchema) => JsonFormsUISchema;
