import type { JsonSchema, Rule, UISchemaElement } from "@jsonforms/core";
/**
 * :TODO check @jsonforms\core\src\util\path.ts -> decode() & co

 */
export declare const isScope: (scope: string) => boolean;
export declare const isPath: (path: string) => boolean;
export declare const normalizeRef: (object: any) => any;
export declare const denormalizeRef: (object: any) => any;
export declare const normalizeCombinators: (items: Array<JsonSchema | any>) => any[];
export declare const denormalizeCombinators: (items: Array<any>) => any[];
export declare const guessInputType: (schema: JsonSchema, uischema: UISchemaElement) => string;
export declare const normalizeDefinitions: (schema: JsonSchema) => Array<any>;
export declare const denormalizeDefinitions: (definition: Array<any>) => JsonSchema;
/**
 * - scope = #/properties/personalData/properties/age
 * - path = properties.personalData.properties.age
*/
export declare const normalizeScope: (scope: string) => string;
/**
 * - path = properties.personalData.properties.age
 * - name = personalData.age
 */
export declare const normalizePath: (scope: string) => string;
/**
 * - prop = personalData.age
 * - path = properties.personalData.properties.age
 */
export declare const denormalizePath: (prop: string) => string;
/**
 * - path = properties.personalData.properties.age
 * - scope = #/properties/personalData/properties/age
 */
export declare const denormalizeScope: (path: string) => string;
/**
 * - prop = personalData.age
 * - path = #/properties/personalData/properties/age
 */
export declare const fromPropertyToScope: (propertyName: string) => string;
/**
 -   scope = #/properties/personalData/properties/age
 * - prop = personalData.age
 */
export declare const fromScopeToProperty: (scope: string) => string;
/**
 * - prop = personalData.age
 * - path = properties.personalData.properties.age
 */
export declare const fromPropertyToPath: (propertyName: string) => string;
/**
 * - prop = personalData.age
 * - basePath = properties.personalData
 */
export declare const fromPropertyToBasePath: (propertyName: string) => string;
/**
 * - prop = personalData.age
 * - propPlain = age
 */
export declare const getPlainProperty: (propertyName: string) => string;
export declare const normalizeRule: (rule: Rule) => any;
export declare const denormalizeRule: (data: any) => Rule;
export declare const getRequiredPath: (propertyName: string) => string;
export declare const getRequiredFromSchema: (propertyName: string, schema: JsonSchema) => Array<string>;
/**
 * - prop = data.personal.age
 * - subpaths = ['data', 'data.personal','data.personal.age']
 */
export declare const getAllSubpaths: (prop: string, startIndex?: number) => string[];
