import type { JsonSchema } from "@jsonforms/core";
import type { JsonFormsInterface, ToolContext, ToolInterface } from "./index";
import { AbstractTool } from "./AbstractTool";
export declare class ControlTool extends AbstractTool implements ToolInterface {
    importer: () => import("vue").DefineComponent<{}, {
        $props: {
            readonly isToolbar?: boolean;
            readonly isDragging?: boolean;
            readonly isInlineType?: boolean;
            readonly index?: number;
            readonly tool?: Record<string, any>;
        };
        $emit: (event: "deleteByIndex", ...args: any[]) => void;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
    constructor(uischemaType?: string);
    optionDataPrepare(context: ToolContext): Record<string, any>;
    optionDataUpdate(context: ToolContext, data: Record<string, any>): void;
    optionJsonforms(context: ToolContext): Promise<JsonFormsInterface | undefined>;
    clone(): ToolInterface;
    toolbarOptions(): Record<string, any>;
}
export declare const controlTool: ControlTool;
/**
 * :TODO if schema is Readonly then some props are also readonly
 *       if(props.schemaReadOnly) {
 *         const readOnlyOptions = ['propertyName', 'type', 'format'];
 *         readOnlyOptions.forEach(name => lodashSet(jsonFormsOption,'schema.properties.'+ name +'.readOnly', true));
 *       }
 */
