import { AbstractTool } from "./AbstractTool";
import type { JsonFormsInterface, ToolContext, ToolInterface } from "./index";
export declare class VerticalLayout extends AbstractTool implements ToolInterface {
    importer: () => import("vue").DefineComponent<{}, {
        $props: {
            readonly isToolbar?: boolean;
            readonly isDragging?: boolean;
            readonly isRoot?: boolean;
            readonly index?: number;
            readonly tool?: Record<string, any>;
        };
        $emit: (event: "deleteByIndex", ...args: any[]) => void;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: import("@jsonforms/core").JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
    constructor(uischemaType?: string);
    optionDataPrepare(context: ToolContext): Record<string, any>;
    optionDataUpdate(context: ToolContext, data: Record<string, any>): void;
    optionJsonforms(context: ToolContext): Promise<JsonFormsInterface | undefined>;
    clone(): ToolInterface;
    toolbarOptions(): Record<string, any>;
}
export declare class HorizontalLayout extends VerticalLayout {
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: import("@jsonforms/core").JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
    clone(): ToolInterface;
}
export declare const verticalLayout: VerticalLayout;
export declare const horizontalLayout: HorizontalLayout;
