import type { JsonFormsInterface } from "../../../models";
export declare const schema: {
    definitions: {
        selectAsEnum: {
            type: string;
            items: {
                type: string;
            };
        };
        selectAsOneOf: {
            type: string;
            items: {
                type: string;
                properties: {
                    const: {
                        type: string;
                    };
                    title: {
                        type: string;
                    };
                };
            };
        };
        rule: {
            $ref: string;
        };
    };
    type: string;
    properties: {
        validation: {
            $ref: string;
        };
        rule: {
            $ref: string;
        };
        propertyName: {
            type: string;
        };
        label: {
            type: string;
            required: string[];
        };
        inputType: {
            type: string;
        };
        description: {
            type: string;
        };
        i18n: {
            type: string;
            title: string;
            description: string;
        };
        default: {
            type: string;
        };
        type: {
            type: string;
            enum: string[];
        };
        format: {
            type: string;
            enum: string[];
        };
        select: {
            type: string;
            properties: {
                _type: {
                    type: string;
                    enum: string[];
                };
                enum: {
                    type: string;
                    $ref: string;
                };
                oneOf: {
                    type: string;
                    $ref: string;
                };
            };
        };
        required: {
            type: string;
        };
        options: {
            type: string;
            properties: {
                readonly: {
                    type: string;
                };
                placeholder: {
                    type: string;
                };
                showUnfocusedDescription: {
                    type: string;
                };
                multi: {
                    type: string;
                };
            };
        };
    };
    required: string[];
};
export declare const uischema: {
    type: string;
    elements: ({
        type: string;
        label: string;
        elements: {
            type: string;
            elements: ({
                type: string;
                elements: {
                    scope: string;
                    type: string;
                }[];
                label?: undefined;
                scope?: undefined;
                rule?: undefined;
            } | {
                type: string;
                label: string;
                elements: ({
                    type: string;
                    elements: ({
                        scope: string;
                        type: string;
                        rule?: undefined;
                    } | {
                        scope: string;
                        type: string;
                        rule: {
                            effect: string;
                            condition: {
                                scope: string;
                                schema: {
                                    const: string;
                                };
                            };
                        };
                    })[];
                    scope?: undefined;
                    label?: undefined;
                    rule?: undefined;
                } | {
                    scope: string;
                    label: string;
                    type: string;
                    rule: {
                        effect: string;
                        condition: {
                            type: string;
                            conditions: ({
                                scope: string;
                                schema: {
                                    const: string;
                                    not?: undefined;
                                };
                            } | {
                                scope: string;
                                schema: {
                                    not: {
                                        type: string;
                                    };
                                    const?: undefined;
                                };
                            })[];
                        };
                    };
                    elements?: undefined;
                })[];
                scope?: undefined;
                rule?: undefined;
            } | {
                scope: string;
                type: string;
                elements?: undefined;
                label?: undefined;
                rule?: undefined;
            } | {
                scope: string;
                type: string;
                rule: {
                    effect: string;
                    condition: {};
                };
                elements?: undefined;
                label?: undefined;
            })[];
        }[];
        rule?: undefined;
    } | {
        type: string;
        label: string;
        elements: {
            $ref: string;
        }[];
        rule: {
            effect: string;
            condition: {
                scope: string;
                schema: {
                    enum: string[];
                };
            };
        };
    } | {
        type: string;
        label: string;
        elements: {
            $ref: string;
        }[];
        rule?: undefined;
    } | {
        type: string;
        label: string;
        elements: {
            type: string;
            elements: {
                type: string;
                scope: string;
                rule: {
                    effect: string;
                    condition: {
                        scope: string;
                        schema: {
                            const: string;
                        };
                    };
                };
            }[];
        }[];
        rule: {
            effect: string;
            condition: {
                scope: string;
                schema: {
                    enum: string[];
                };
            };
        };
    })[];
};
export declare const jsonForms: JsonFormsInterface;
