import type { JsonSchema } from "@jsonforms/core";
import type { UISchemaElement } from "@jsonforms/core/src/models/uischema";
import type { JsonFormsInterface } from "../../models";
import type { ToolContext } from "../index";
export declare const prepareOptionData: (context: ToolContext, schema: JsonSchema, uischema: UISchemaElement) => Record<string, any>;
export declare const setOptionData: (schema: JsonSchema, uischema: UISchemaElement, data: Record<string, any>) => void;
export declare const schema: {
    type: string;
    definitions: {
        schemaConstTypes: {
            oneOf: {
                type: string;
                title: string;
            }[];
        };
        schema: {
            type: string;
            properties: {
                const: {
                    oneOf: {
                        type: string;
                        title: string;
                    }[];
                };
            };
            required: string[];
        };
        ruleCondition: {
            type: string;
            title: string;
            properties: {
                scope: {
                    type: string;
                };
                schema: {
                    type: string;
                    properties: {
                        const: {
                            oneOf: {
                                type: string;
                                title: string;
                            }[];
                        };
                    };
                    required: string[];
                };
            };
            required: string[];
        };
        ruleConditions: {
            type: string;
            title: string;
            properties: {
                type: {
                    type: string;
                    enum: string[];
                    default: string;
                };
                conditions: {
                    type: string;
                    minItems: number;
                    items: {
                        type: string;
                        properties: {
                            scope: {
                                type: string;
                                description: string;
                            };
                            schema: {
                                type: string;
                                properties: {
                                    const: {
                                        oneOf: {
                                            type: string;
                                            title: string;
                                        }[];
                                    };
                                };
                            };
                        };
                    };
                };
            };
            required: string[];
        };
    };
    properties: {
        rule: {
            type: string;
            properties: {
                rule: {
                    type: string;
                    properties: {
                        effect: {
                            type: string;
                            enum: string[];
                        };
                        condition: {
                            title: string;
                            oneOf: {
                                $ref: string;
                                title: string;
                            }[];
                        };
                    };
                    required: string[];
                };
            };
        };
    };
};
export declare const uischema: {
    scope: string;
    type: string;
};
export declare const jsonForms: JsonFormsInterface;
