import type { JsonSchema } from "@jsonforms/core";
import type { UISchemaElement } from "@jsonforms/core/src/models/uischema";
import type { JsonFormsInterface } from "../../models";
import type { ToolContext } from "../index";
export declare const schemaKeysString: string[];
export declare const schemaKeysNumber: string[];
export declare const schemaKeys: string[];
export declare const prepareOptionData: (context: ToolContext, schema: JsonSchema, uischema: UISchemaElement) => Record<string, any>;
export declare const setOptionData: (schema: JsonSchema | any, uischema: UISchemaElement, data: Record<string, any>) => void;
export declare const schema: {
    type: string;
    properties: {
        validation: {
            type: string;
            properties: {
                maximum: {
                    type: string;
                };
                minimum: {
                    type: string;
                };
                multipleOf: {
                    type: string;
                };
                exclusiveMinimum: {
                    type: string;
                };
                exclusiveMaximum: {
                    type: string;
                };
                minLength: {
                    type: string;
                };
                maxLength: {
                    type: string;
                };
                pattern: {
                    type: string;
                    format: string;
                    description: string;
                };
                minItems: {
                    type: string;
                };
                maxItems: {
                    type: string;
                };
                uniqueItems: {
                    type: string;
                };
            };
        };
    };
};
export declare const uischema: {
    type: string;
    elements: ({
        scope: string;
        type: string;
        rule: {
            effect: string;
            condition: {
                scope: string;
                schema: {
                    enum: string[];
                };
            };
        };
        elements?: undefined;
    } | {
        type: string;
        elements: ({
            type: string;
            elements: {
                scope: string;
                type: string;
            }[];
            scope?: undefined;
        } | {
            scope: string;
            type: string;
            elements?: undefined;
        })[];
        rule: {
            effect: string;
            condition: {
                scope: string;
                schema: {
                    enum: string[];
                };
            };
        };
        scope?: undefined;
    })[];
};
export declare const jsonForms: JsonFormsInterface;
